import 'package:flutter/material.dart';
import 'package:tacban/assets/theme/colors.dart';
import 'package:tacban/src/shared/utils/enums.dart';
import 'package:tacban/src/shared/utils/input_utils.dart';

class TextErrorMessageWidget extends StatelessWidget {
  final StatusTextField statusTextField;
  const TextErrorMessageWidget({super.key, required this.statusTextField});

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.only(left: 10, top: 5),
      child: SizedBox(
        width: double.infinity,
        child: Text(InputUtils.getTextMessageError(statusTextField),
          textAlign: TextAlign.start,
          style: TextStyle(
            fontSize: AppFontSize.fontSize12,
            color: AppColorLight.erroColor
          )
        ),
      )
    );
  }
}